#define SECTORSIZE 512			// Bytes per sector
#define CLUSTERSIZE 16			// sectors per cluster (min. 1), multiple of 2
#define CLUSTER_BIT 4			// 2^X = CLUSTERSIZE
#define FILETABLESIZE 256		// how many files can be there?
#define MEDIUMSIZE 499998720    // How many bytes can be on the medium? (add a little security space...)
#define CLUSTERS MEDIUMSIZE / SECTORSIZE / CLUSTERSIZE

#define FT_NONE 	0			// empty/no file
#define FT_LOG 		1			// C generated track log
#define FT_WAYPOINT	2			// single waypoint (different handling! no data cluster)
#define FT_WAY		3			// waylist that can be followed forward/reverse

extern uint8_t open_file (uint8_t);				// Opens file with specified number for reading

extern uint8_t create_file (uint8_t);  // Creates file with specified filetype, second argument must be zero
												// Write only!

extern uint8_t w_file (uint8_t *, uint8_t);		// Writes a number of bytes from specified buffer into file

extern uint8_t read_file (uint8_t *, uint8_t);   // Reads n bytes into specified buffer

extern void delete_file (uint8_t);

extern void close_write_file();

extern void mmc_format();
union buffer_t
{
  uint8_t b[512];
  uint16_t w[256];
};

extern union buffer_t buffer;

extern void get_waypoint (void);
