extern uint8_t open_file (uint8_t);				// Opens file with specified number for reading

extern uint8_t create_file (uint8_t);  // Creates file with specified filetype, second argument must be zero
												// Write only!

extern uint8_t write_file (uint8_t *, uint8_t);		// Writes a number of bytes from specified buffer into file

extern uint8_t read_file (uint8_t *, uint16_t);   // Reads n bytes into specified buffer

extern void delete_file (uint8_t);

extern void close_write_file(void);

extern void mmc_format();

extern void close_read_file();

extern void swap_write_files();

#define FIRST_DATA_SECTOR 	256
#define LAST_DATA_SECTOR 	970000					// about 450 MB
#define BUFFER_SIZE			512
#define SECTORADDRESS_SIZE	4
#define SECTOR_SIZE 		512

#define FT_NONE 	0			// empty/no file
#define FT_LOG 		1			// C generated track log
#define FT_WAY		2			// Waylist file



#define F_OK						0
#define F_EOF						1
#define F_MEDIUM_FULL				2
#define F_NO_FREE_FILE_ENTRIES		3
#define F_NEW_SECTOR				4		// write: okay but new sector applied
#define F_NO_FILE					5
#define F_ERROR						9		// unknown error

union buffer_t
{
  uint8_t b[BUFFER_SIZE];
  uint32_t q[BUFFER_SIZE/4];
};

extern union buffer_t buffer;
