void gps_transmit (uint8_t);
void gps_enable (uint8_t);
void gps_disable (void);
void gps_transmit_p (PGM_P);
void send_sirf_message (uint8_t *, uint8_t);
#define GPS_BAUD 38400
#define GPS_UBRRVAL (XTAL + GPS_BAUD * 8) / (GPS_BAUD * 16) - 1


typedef struct
{
  union
  {
    struct
    {
	  int32_t lat;
      int32_t lon;
      int32_t alt;
    };
	uint8_t coords[12];
  };
  union
  {
    uint32_t dword;
	struct
	{
	  unsigned second:6;
	  unsigned minute:6;
	  unsigned hour:5;
	  unsigned day:5;
	  unsigned month:4;
	  unsigned year:6;	  
    } s;
  } date;
  uint16_t sog;		// bit 0-2 is nav type
  uint8_t sv;
  uint8_t hdop;		// bit 7 is trickle power indicator (not used in current version)
} gps_log_entry_t;

extern volatile gps_log_entry_t gps_log_entry;
extern volatile uint8_t current_gps_heading;
extern void wait_for_gps_coords();
